OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ScopedTimeMeasurement Class Reference

`#include <juce_PerformanceCounter.h>`

## Public Member Functions
| ScopedTimeMeasurement (double &resultInSeconds) noexcept

## Detailed Description

Simple RAII class for measuring the time spent in a scope.

Example:

{ double timeSec;

{ ScopedTimeMeasurement m (timeSec); doSomething(); }

Logger::writeToLog ("doSomething() took " + String (timeSec) + "seconds"); }

Parameters

  resultInSeconds | The result of the measurement will be stored in this variable.

Definition at line 143 of file juce_PerformanceCounter.h.

## Constructor & Destructor Documentation

## ◆ ScopedTimeMeasurement()

juce::ScopedTimeMeasurement::ScopedTimeMeasurement | ( | double & | resultInSeconds | ) |
| inline noexcept

Definition at line 146 of file juce_PerformanceCounter.h.

## ◆ ~ScopedTimeMeasurement()

juce::ScopedTimeMeasurement::~ScopedTimeMeasurement | ( |  | ) |
| inline

Definition at line 152 of file juce_PerformanceCounter.h.

The documentation for this class was generated from the following file:

- juce_PerformanceCounter.h